Package ch.qos.logback.core

## Interface Layout<E>

All Superinterfaces:
  `ContextAware`, `LifeCycle`

All Known Implementing Classes:
  `EchoLayout`, `HTMLLayout`, `HTMLLayout`, `HTMLLayoutBase`, `LayoutBase`, `PatternLayout`, `PatternLayout`, `PatternLayoutBase`, `TTLLLayout`, `XMLLayout`

    public interface Layout<E>
    extends ContextAware, LifeCycle

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `doLayout​(E event)` Transform an event (of type Object) and return it as a String after appropriate formatting.
`java.lang.String` `getContentType()` Returns the content type as appropriate for the implementation.
`java.lang.String` `getFileFooter()` Return the file footer for this layout.
`java.lang.String` `getFileHeader()` Return the file header for this layout.
`java.lang.String` `getPresentationFooter()` Return the footer of the logging event formatting.
`java.lang.String` `getPresentationHeader()` Return the header of the logging event formatting.

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted, start, stop`

### Method Detail

#### doLayout

    java.lang.String doLayout​(E event)

Transform an event (of type Object) and return it as a String after appropriate formatting.

Taking in an object and returning a String is the least sophisticated way of formatting events. However, it is remarkably CPU-effective.

Parameters:
  `event` - The event to format
Returns:
  the event formatted as a String

#### getFileHeader

    java.lang.String getFileHeader()

Return the file header for this layout. The returned value may be null.

Returns:
  The header.

#### getPresentationHeader

    java.lang.String getPresentationHeader()

Return the header of the logging event formatting. The returned value may be null.

Returns:
  The header.

#### getPresentationFooter

    java.lang.String getPresentationFooter()

Return the footer of the logging event formatting. The returned value may be null.

Returns:
  The footer.

#### getFileFooter

    java.lang.String getFileFooter()

Return the file footer for this layout. The returned value may be null.

Returns:
  The footer.

#### getContentType

    java.lang.String getContentType()

Returns the content type as appropriate for the implementation.

Returns: